Bug 145034 - udev_t: killall5 - proc denials for init_t, initrc_t
Summary: udev_t: killall5 - proc denials for init_t, initrc_t
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-13 21:23 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 18:29:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-01-13 21:23:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
audit(1105622933.716:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=stat dev=proc ino=65549
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:init_t
tclass=file

audit(1105622933.716:0): avc:  denied  { getattr } for  pid=679
exe=/sbin/killall5 path=/proc/1/stat dev=proc ino=65549
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:init_t
tclass=file

audit(1105622933.716:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=exe dev=proc ino=65544
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:init_t
tclass=lnk_file

audit(1105622933.716:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=stat dev=proc ino=131085
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:kernel_t
tclass=file

audit(1105622933.716:0): avc:  denied  { getattr } for  pid=679
exe=/sbin/killall5 path=/proc/2/stat dev=proc ino=131085
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:kernel_t
tclass=file

audit(1105622933.717:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=exe dev=proc ino=131080
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:kernel_t
tclass=lnk_file

audit(1105622933.718:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=stat dev=proc ino=30081037
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:initrc_t
tclass=file

audit(1105622933.719:0): avc:  denied  { getattr } for  pid=679
exe=/sbin/killall5 path=/proc/459/stat dev=proc ino=30081037
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:initrc_t
tclass=file

audit(1105622933.719:0): avc:  denied  { read } for  pid=679
exe=/sbin/killall5 name=exe dev=proc ino=30081032
scontext=system_u:system_r:udev_t tcontext=system_u:system_r:initrc_t
tclass=lnk_file



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.1-1

How reproducible:
Always

Steps to Reproduce:
1. Boot with strict policy

Additional info:

Comment 1 Daniel Walsh 2005-01-18 21:52:31 UTC
Ok I will add r_dir_file(udev_t, domain) for 
selinux-policy-strict-1.21.2-1

Dan


Note You need to log in before you can comment on or make changes to this bug.